# Method: projects.locations.recognizers.patch

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers/patch#body.aspect_1)

Updates the `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers#Recognizer`.

### HTTP request

`PATCH https://speech.googleapis.com/v2/{recognizer.name=projects/*/locations/*/recognizers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `recognizer.name` | `string` Output only. Identifier. The resource name of the Recognizer. Format: `projects/{project}/locations/{location}/recognizers/{recognizer}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to update. If empty, all non-default valued fields are considered for update. Use `*` to update the entire Recognizer resource. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` If set, validate the request and preview the updated Recognizer, but do not actually update it. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v2/projects.locations.recognizers#Recognizer`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `speech.recognizers.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).